Jump to content

[Résolu] Fenêtre (F2) qui s'ouvre de temps en temps pendant des macro


Recommended Posts

Bonjour à tous,

 

Je bidouille des macros que je trouve par ici et par là que je modifie à ma guise et en fonction de mes besoins. Mais j'ai une fenêtre de dialogue qui s'ouvre ( F2 ) de temps en temps.

 

En autre pour l'exemple dans cette commande pour le Z0.

 

Cela laisse la fenêtre ouverte et on doit le refermer nous même.

^C^C_-layer;_a;_s;tasa;;;_thaw;*;_unlock;*;;_select;\_move;_P;;0,0,1E99;;_move;_P;;0,0,-1E99;;_-layer;_a;_r;tasa;_d;tasa;;;

 

Après des recherches sur internet j'ai rajouter _Textscr qui ferme la fenêtre.

^C^C_-layer;_a;_s;tasa;;;_thaw;*;_unlock;*;;_Textscr;_select;\_move;_P;;0,0,1E99;;_move;_P;;0,0,-1E99;;_-layer;_a;_r;tasa;_d;tasa;;;

 

J'aimerai savoir comment fermer cette fenêtre à coup sure. Car les colègue qui utilise ce bouton, certain râle que la fenêtre reste ouvert. y a t'il une solution qui marcherai pour tout le monde?

 

Merci

Link to post
Share on other sites

Bonjour Tramber,

 

j'essaye la variable NOMUTT à 1 et 0 pour comprendre la diférence.

Mais je ne crois pas ça correspond à ce que je recherche faire.

 

ça m'affiche plus de ligne mais je ne vois pas pourquoi la boite de dialogue s'ouvre. :blink:

 

"SETVAR"
Entrez une nouvelle valeur pour NOMUTT <0>: 1
_-layer
"-LAYER" _a_stasa
Etats
ACtif               Oui
Gelé                Oui
Verrouiller         Oui
Tracer              Oui
gelnouvFen          Oui
Couleur             Oui
TYpeligne           Oui
Epaissligne         Oui
Transparence        Oui
Styletracé          Oui
_thaw*_unlock*_select
"SELECT"  _move
"MOVE" _P0,0,1E99_move
"MOVE" _P0,0,-1E99_-layer
"-LAYER" _a_rtasa_dtasaNOMUTT
"SETVAR" 0
Commande:

 

J'essaye de fermer la boite de dialogue qui s'ouvre avec (F2 le raccourci).

 

Cordialement,

 

baba

Link to post
Share on other sites

Bonjour,

 

Pour être plus précis, ce n'est pas une boite de dialogue mais la fenêtre "text" d'AutoCAD.

 

Peut-être la variable cmdecho ?

Windows 10 Pro 64bits / AutoCAD MAP 3D 2019

Sur terre, il y a 10 types de personnes, celles qui comptent en binaire et les autres...
Davantage d'avantages, avantagent davantage. (Bobby Lapointe)
La connaissance s'accroît quand on la partage.(Socrate)

Link to post
Share on other sites

Salut

 

Car les colègue qui utilise ce bouton, certain râle que la fenêtre reste ouvert.

Le plus simple est de ne plus donner de macro ;)

 

Sinon, plus sérieusement, avec la commande _graphscr à la fin.

 

@+

Les Lisps de Patrick

Le but n'est pas toujours placé pour être atteint, mais pour servir de point de mire.

Joseph Joubert, 1754-1824

Link to post
Share on other sites

Une solution que l'on m'avais donné ici même, cela ferme la fenetre texte en baculant dessus et en simulant "ALT F4" !!!

 

; Fermer Fenetre Texte
	(defun CloseWindowText ()
		(textscr) ; Basculer sur fenêtre de texte
		(vlax-invoke-method (vlax-get-or-create-object "WScript.Shell") "SendKeys" "%{F4}") ; Fermer fenêtre de texte
	)

Link to post
Share on other sites

Merci SF.Designer, peut on l'adapter pour le mettre dans un bouton ?

Faudra que je regarde pour faire un lisp sinon.

 

En y réfléchisant je peux mettre la commande dans un fichier lips et je lancer ce lips sans trop de problème.

 

Désolé, mais mon petit cerveau mouline :D

 

Edit:

 

Sur le code j'ai rajouter ça : (defun C:CloseWindowText ()

 

Et rajouter ça dans mon bouton

(LOAD "CHEMIN/Close_Fenetre.lsp");CloseWindowText;

 

Merci à vous tous.

Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Loading...
×
×
  • Create New...